/*
  fy-NL.h - localization for Frysk - Nederland for Tasmota

  Copyright (C) 2021  Christiaan Heerze

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _LANGUAGE_FY_NL_H_
#define _LANGUAGE_FY_NL_H_

/*************************** ATTENTION *******************************\
 *
 * Due to memory constraints only UTF-8 is supported.
 * To save code space keep text as short as possible.
 * Time and Date provided by SDK can not be localized (yet).
 * Use online command StateText to translate ON, OFF, HOLD and TOGGLE.
 * Use online command Prefix to translate cmnd, stat and tele.
 *
 * Updated until v9.3.1.1
\*********************************************************************/

//#define LANGUAGE_MODULE_NAME         // Enable to display "Module Generic" (ie Spanish), Disable to display "Generic Module" (ie English)

#define LANGUAGE_LCID 1122
// HTML (ISO 639-2) Language Code
#define D_HTML_LANGUAGE "fy"

// "2017-03-07T11:08:02" - ISO8601:2004
#define D_YEAR_MONTH_SEPARATOR "-"
#define D_MONTH_DAY_SEPARATOR "-"
#define D_DATE_TIME_SEPARATOR "T"
#define D_HOUR_MINUTE_SEPARATOR ":"
#define D_MINUTE_SECOND_SEPARATOR ":"

#define D_DAY3LIST "Zo Ma Di Wo Do Vr Za "
#define D_MONTH3LIST "JanFebMarAprMeiJunJulAugSepOktNovDec"

// Non JSON decimal separator
#define D_DECIMAL_SEPARATOR ","

// Common
#define D_ADMIN "Admin"
#define D_AIR_QUALITY "Luchtkwaliteit"
#define D_AP "AP"                    // Access Point
#define D_AS "als"
#define D_AUTO "AUTO"
#define D_BATT "Batt"                // Short for Battery
#define D_BLINK "Blinkje"
#define D_BLINKOFF "BlinkjeUit"
#define D_BOOT_COUNT "Op 'e nij begjinne"
#define D_BRIGHTLIGHT "Fel"
#define D_BSSID "BSSId"
#define D_BUTTON "Druk knop"
#define D_BY "troch"                  // Written by me
#define D_BYTES "Bytes"
#define D_CELSIUS "Celsius"
#define D_CHANNEL "Kanaal"
#define D_CO2 "Koalstofdiokside"
#define D_CODE "koade"                // Button code
#define D_COLDLIGHT "Kâld"
#define D_COMMAND "Oarder"
#define D_CONNECTED "Ferbûn"
#define D_CORS_DOMAIN "CORS Domain"
#define D_COUNT "Nûmer"
#define D_COUNTER "Teller"
#define D_CT_POWER "CT Power"
#define D_CURRENT "Streame"          // As in Voltage and Current
#define D_DATA "Data"
#define D_DARKLIGHT "Tsjuster"
#define D_DEBUG "Debugearje"
#define D_DEWPOINT "Dauwpunt"
#define D_DISABLED "Útsetten"
#define D_DISTANCE "Ôfstân"
#define D_DNS_SERVER "DNS Server"
#define D_DO "Oploste soerstof"
#define D_DONE "Klear"
#define D_DST_TIME "ZT"
#define D_EC "EC"
#define D_ECO2 "eCO₂"
#define D_EMULATION "Emulaasje"
#define D_ENABLED "Aktivearre"
#define D_ERASE "Frijjaan"
#define D_ERROR "Ferkeard"
#define D_FAHRENHEIT "Fahrenheit"
#define D_FAILED "Mislearre"
#define D_FALLBACK "Weromfalle"
#define D_FALLBACK_TOPIC "Fallback Underwerp"
#define D_FALSE "Falsk"
#define D_FILE "Bestân"
#define D_FLOW_RATE "Stromingssnelheid"
#define D_FRAGMENTATION "frag."      // Lower case abbreviated version of fragmentation used in "memory fragmentation"
#define D_FREE_MEMORY "Fergese geheugen"
#define D_PSR_MAX_MEMORY "PS-RAM geheugen"
#define D_PSR_FREE_MEMORY "PS-RAM fergese geheugen"
#define D_FREQUENCY "Frekwinsje"
#define D_GAS "Gas"
#define D_GATEWAY "Poarte"
#define D_GROUP "Groep"
#define D_HOST "Host"
#define D_HALL_EFFECT "Hall Effect"
#define D_HOSTNAME "Hostnamme"
#define D_HUMIDITY "Feuchte"
#define D_ILLUMINANCE "Beljochting"
#define D_IMMEDIATE "fuortendaliks"      // Button immediate
#define D_INDEX "Index"
#define D_INFO "Info"
#define D_INFRARED "Ynfraread"
#define D_INITIALIZED "Inisjalisearre"
#define D_IP_ADDRESS "IP Adres"
#define D_LIGHT "Ljocht"
#define D_LWT "LWT"
#define D_LQI "LQI"                  // Zigbee Link Quality Index
#define D_MODULE "Module"
#define D_MOISTURE "Feuchte"
#define D_MQTT "MQTT"
#define D_MULTI_PRESS "meardere"
#define D_NOISE "Lûd"
#define D_NONE "Gjin"
#define D_O2 "Soerstof"
#define D_OFF "Ut"
#define D_OFFLINE "Offline"
#define D_OK "Ok"
#define D_ON "Oan"
#define D_ONLINE "Online"
#define D_ORP "ORP"
#define D_PASSWORD "Wachtwurd"
#define D_PH "pH"
#define D_PORT "Poort"
#define D_POWER_FACTOR "Krêftfaktor"
#define D_POWERUSAGE "Krêft"
#define D_POWERUSAGE_ACTIVE "Eigentlike krêft"
#define D_POWERUSAGE_APPARENT "Skynber krêft"
#define D_POWERUSAGE_REACTIVE "Blynde krêft"
#define D_PRESSURE "Luchtdruk"
#define D_PRESSUREATSEALEVEL "SeeLuchtdruk"
#define D_PROGRAM_FLASH_SIZE "Programma Flash Grutte"
#define D_PROGRAM_SIZE "Programma Grutte"
#define D_PROJECT "Projekt"
#define D_RAIN "Rein"
#define D_RANGE "Berik"
#define D_RECEIVED "Ûntfange"
#define D_RESTART "Op 'e nij begjinne"
#define D_RESTARTING "Op 'e nij begjinne"
#define D_RESTART_REASON "Reden opnij starte"
#define D_RESTORE "herstelle"
#define D_RETAINED "beholden"
#define D_RULE "Regel"
#define D_SAVE "Bewarje"
#define D_SENSOR "Sensor"
#define D_SSID "SSId"
#define D_START "Begjin"
#define D_STD_TIME "WT"
#define D_STOP "Stopje"
#define D_SUBNET_MASK "Subnet Masker"
#define D_SUBSCRIBE_TO "Ynskriuwe foar"
#define D_UNSUBSCRIBE_FROM "Ofmelde fan"
#define D_SUCCESSFUL "Sukses"
#define D_SUNRISE "Sunrise"
#define D_SUNSET "Sinneûndergong"
#define D_TEMPERATURE "Temperatuer"
#define D_TO "nei"
#define D_TOGGLE "Wikselje"  // Wissel, Tuimel
#define D_TOPIC "Ûnderwerp"  // Onderwerp
#define D_TOTAL_USAGE "Totaal gebrûk"
#define D_TRANSMIT "Stjoere"
#define D_TRUE "Wier"
#define D_TVOC "TVOC"
#define D_UPGRADE "upgrade"
#define D_UPLOAD "Stjoere"
#define D_UPTIME "Betjenstiid"
#define D_USER "Brûker"
#define D_UTC_TIME "UTC"
#define D_UV_INDEX "UV-index"
#define D_UV_INDEX_1 "Leech"
#define D_UV_INDEX_2 "Gemiddeld"
#define D_UV_INDEX_3 "Heech"
#define D_UV_INDEX_4 "Yntins"
#define D_UV_INDEX_5 "Gefaarlik"
#define D_UV_INDEX_6 "Skealik"
#define D_UV_INDEX_7 "Útsûnderlik"
#define D_UV_LEVEL "UV peil"
#define D_UV_POWER "UV yntinsiteit"
#define D_VERSION "Ferzje"
#define D_VOLTAGE "Foltaazje"
#define D_VOLUME "Folume"
#define D_WEIGHT "Gewicht"
#define D_WARMLIGHT "Waarm"
#define D_WEB_SERVER "Webserver"
#define D_SOC "State of Charge"
#define D_SOH "State of Charge"

// tasmota.ino
#define D_WARNING_MINIMAL_VERSION "WARSKOGING Dizze ferzje bewarret gjin ynstellings"
#define D_LEVEL_10 "peil 1-0"
#define D_LEVEL_01 "peil 0-1"
#define D_SERIAL_LOGGING_DISABLED "Serial logging útskeakele"
#define D_SYSLOG_LOGGING_REENABLED "Syslog logging is opnij ynskeakele"

#define D_SET_BAUDRATE_TO "Stel baudrate op"
#define D_RECEIVED_TOPIC "Underwerp ûntfongen"
#define D_DATA_SIZE "Data lingte"
#define D_ANALOG_INPUT "Analooch"

// support.ino
#define D_OSWATCH "osWatch"
#define D_BLOCKED_LOOP "Blocked Loop"
#define D_WPS_FAILED_WITH_STATUS "WPSconfig mislearre mei status"
#define D_ACTIVE_FOR_3_MINUTES "3 minuten aktyf"
#define D_FAILED_TO_START "mislearre"
#define D_PATCH_ISSUE_2186 "Patch issue 2186"
#define D_CONNECTING_TO_AP "Ferbine mei AP"
#define D_IN_MODE "yn stân"
#define D_CONNECT_FAILED_NO_IP_ADDRESS "Ferbining mislearre omdat der gjin IP-adres is ûntfangen"
#define D_CONNECT_FAILED_AP_NOT_REACHED "Ferbining mislearre om't AP net te berikken is"
#define D_CONNECT_FAILED_WRONG_PASSWORD "Verbinding mislukt"
#define D_CONNECT_FAILED_AP_TIMEOUT "Verbinding mislukt door AP time-out"
#define D_ATTEMPTING_CONNECTION "Verbinden..."
#define D_CHECKING_CONNECTION "Controleer verbinding..."
#define D_QUERY_DONE "Aanvraag klaar. Aantal MQTT diensten gevonden"
#define D_MQTT_SERVICE_FOUND "MQTT dienst gevonden op"
#define D_FOUND_AT "gevonden op"
#define D_SYSLOG_HOST_NOT_FOUND "Syslog Host niet gevonden"

// settings.ino
#define D_SAVED_TO_FLASH_AT "Bewarre yn flash oan"
#define D_LOADED_FROM_FLASH_AT "Laad fanôf flash"
#define D_USE_DEFAULTS "Brûk standertwearden"
#define D_ERASED_SECTOR "Sektor wiskje"

// xdrv_02_webserver.ino
#define D_NOSCRIPT "Aktivearje JavaScript foar Tasmota"
#define D_MINIMAL_FIRMWARE_PLEASE_UPGRADE "MINIMALE firmware <br> upgrade"
#define D_WEBSERVER_ACTIVE_ON "Webserver aktyf op"
#define D_WITH_IP_ADDRESS "mei IP-adres"
#define D_WEBSERVER_STOPPED "Webserver stoppe"
#define D_FILE_NOT_FOUND "Bestân net fûn"
#define D_REDIRECTED "Trochferwize nei captive portal"
#define D_WIFIMANAGER_SET_ACCESSPOINT_AND_STATION "WiFi Manager start AccessPoint en hâldt Station"
#define D_WIFIMANAGER_SET_ACCESSPOINT "WiFi manager start AccessPoint"
#define D_TRYING_TO_CONNECT "Apparaat besiket te ferbinen mei netwurk"

#define D_RESTART_IN "Start opnij yn"
#define D_SECONDS "sekonden"
#define D_DEVICE_WILL_RESTART "Opnij starte in pear sekonden"
#define D_BUTTON_TOGGLE "Wikselje"  // Wissel, Tuimel
#define D_CONFIGURATION "Konfiguraasje"
#define D_INFORMATION "Ynformaasje"
#define D_FIRMWARE_UPGRADE "Opwurdearje"
#define D_MANAGEMENT "Consoles"
#define D_CONSOLE "Konsole"
#define D_CONFIRM_RESTART "Befestigje opnij starte"

#define D_CONFIGURE_MODULE "Module ynstelle"
#define D_CONFIGURE_WIFI "WiFi ynstelle"
#define D_CONFIGURE_MQTT "MQTT ynstelle"
#define D_CONFIGURE_DOMOTICZ "Domoticz ynstelle"
#define D_CONFIGURE_LOGGING "Logging ynstelle"
#define D_CONFIGURE_OTHER "Oare ynstelle"
#define D_CONFIRM_RESET_CONFIGURATION "Befestigje weromsette konfiguraasje"
#define D_RESET_CONFIGURATION "Konfiguraasje weromsette"
#define D_BACKUP_CONFIGURATION "Konfiguraasje opslaan"
#define D_RESTORE_CONFIGURATION "Konfiguraasje herstelle"
#define D_MAIN_MENU "Haadmenu"

#define D_MODULE_PARAMETERS "Module parameters"
#define D_MODULE_TYPE "Module type"
#define D_PULLUP_ENABLE "Gjin switch pull-up"
#define D_ADC "ADC"
#define D_GPIO "GPIO"
#define D_SERIAL_IN "Serial In"
#define D_SERIAL_OUT "Serial Out"

#define D_WIFI_PARAMETERS "WiFi parameters"
#define D_SCAN_FOR_WIFI_NETWORKS "Sykje WiFi netwurken"
#define D_SCAN_DONE "Scan dien"
#define D_NO_NETWORKS_FOUND "Gjin netwurken fûn"
#define D_REFRESH_TO_SCAN_AGAIN "Ferfarskje om opnij te sykjen"
#define D_DUPLICATE_ACCESSPOINT "Dûbele tagongspunt"
#define D_SKIPPING_LOW_QUALITY "Oerslaan fanwegen lege opfangkwaliteit"
#define D_RSSI "RSSI"
#define D_WEP "WEP"
#define D_WPA_PSK "WPA PSK"
#define D_WPA2_PSK "WPA2 PSK"
#define D_AP1_SSID "WiFi Network"
#define D_AP1_SSID_HELP "Type or Select your WiFi Network"
#define D_AP2_SSID "WiFi Network 2"
#define D_AP2_SSID_HELP "Type your Alternative WiFi Network"
#define D_AP_PASSWORD "WiFi Wachtwurd"
#define D_AP_PASSWORD_HELP "Enter your WiFi Password"
#define D_SELECT_YOUR_WIFI_NETWORK "Select your WiFi Network"
#define D_SHOW_MORE_WIFI_NETWORKS "Scan for all WiFi Networks"
#define D_SHOW_MORE_OPTIONS "More Options"
#define D_CHECK_CREDENTIALS "Please, check your credentials"
#define D_SUCCESSFUL_WIFI_CONNECTION "Successful WiFi Connection"
#define D_NOW_YOU_CAN_CLOSE_THIS_WINDOW "Now you can close this window"
#define D_REDIRECTING_TO_NEW_IP "Redirecting to new device's IP address"

#define D_MQTT_PARAMETERS "MQTT parameters"
#define D_CLIENT "Client"
#define D_FULL_TOPIC "Folslein Underwerp"

#define D_LOGGING_PARAMETERS "Logging parameters"
#define D_SERIAL_LOG_LEVEL "Serial log nivo"
#define D_MQTT_LOG_LEVEL "Mqtt log nivo"
#define D_WEB_LOG_LEVEL "Web log nivo"
#define D_SYS_LOG_LEVEL "Syslog nivo"
#define D_MORE_DEBUG "Meer debug"
#define D_SYSLOG_HOST "Syslog host"
#define D_SYSLOG_PORT "Syslog poort"
#define D_TELEMETRY_PERIOD "Telemetry periode"

#define D_OTHER_PARAMETERS "Oare parameters"
#define D_TEMPLATE "Sjabloan"
#define D_ACTIVATE "Aktivearje"
#define D_DEVICE_NAME "Namme fan it apparaat"
#define D_WEB_ADMIN_PASSWORD "Web Admin Wachtwurd"
#define D_MQTT_ENABLE "MQTT ynskeakele"
#define D_MQTT_TLS_ENABLE "MQTT TLS"
#define D_HTTP_API "HTTP API"
#define D_HTTP_API_ENABLE "HTTP API ynskeakele"
#define D_FRIENDLY_NAME "Freonlike namme"
#define D_BELKIN_WEMO "Belkin WeMo"
#define D_HUE_BRIDGE "Hue Bridge"
#define D_SINGLE_DEVICE "in masine"
#define D_MULTI_DEVICE "mear masinen"

#define D_CONFIGURE_TEMPLATE "Configureer Sjabloon"
#define D_TEMPLATE_PARAMETERS "Sjabloon parameters"
#define D_TEMPLATE_NAME "Namme"
#define D_BASE_TYPE "Op basis fan"
#define D_TEMPLATE_FLAGS "Opsjes"

#define D_SAVE_CONFIGURATION "Konfiguraasje opslaan"
#define D_CONFIGURATION_SAVED "Konfiguraasje opslein"
#define D_CONFIGURATION_RESET "Konfiguraasje weromsette"

#define D_PROGRAM_VERSION "Program Version"
#define D_BUILD_DATE_AND_TIME "Build Date & Time"
#define D_CORE_AND_SDK_VERSION "Core/SDK Version"
#define D_FLASH_WRITE_COUNT "Flash skriuwtelling"
#define D_MAC_ADDRESS "MAC Address"
#define D_MQTT_HOST "MQTT Host"
#define D_MQTT_PORT "MQTT Port"
#define D_MQTT_CLIENT "MQTT kliïnt"
#define D_MQTT_USER "MQTT Meidogger"
#define D_MQTT_TOPIC "MQTT Underwerp"
#define D_MQTT_GROUP_TOPIC "MQTT Group Underwerp"
#define D_MQTT_FULL_TOPIC "MQTT Folslein ûnderwerp"
#define D_MQTT_NO_RETAIN "MQTT Gjin behâlde"
#define D_MDNS_DISCOVERY "mDNS Untdekking"
#define D_MDNS_ADVERTISE "mDNS Advertearje"
#define D_ESP_CHIP_ID "ESP Chip Id"
#define D_FLASH_CHIP_ID "Flash Chip Id"
#define D_FLASH_CHIP_SIZE "Flash Grutte"
#define D_FREE_PROGRAM_SPACE "Fergese programmaromte"

#define D_UPGRADE_BY_WEBSERVER "Upgrade fia webserver"
#define D_OTA_URL "OTA Url"
#define D_START_UPGRADE "Begjin upgrade"
#define D_UPGRADE_BY_FILE_UPLOAD "Upgrade op bestân upload"
#define D_UPLOAD_STARTED "Upload begon"
#define D_UPGRADE_STARTED "Upgrade begon"
#define D_UPLOAD_DONE "Upload dien"
#define D_UPLOAD_TRANSFER "Upload oerdracht"
#define D_TRANSFER_STARTED "Oerdracht begon"
#define D_UPLOAD_ERR_1 "Gjin bestân selektearre"
#define D_UPLOAD_ERR_2 "Net genôch romte"
#define D_UPLOAD_ERR_3 "Unjildige bestânsûndertekening"
#define D_UPLOAD_ERR_4 "Programma flash grutte is grutter dan echte flash grutte"
#define D_UPLOAD_ERR_5 "Upload buffer misferlykje"
#define D_UPLOAD_ERR_6 "Upload mislearre. Ynskeakelje logging 3"
#define D_UPLOAD_ERR_7 "Upload ôfbrutsen"
#define D_UPLOAD_ERR_8 "Bestân ûnjildich"
#define D_UPLOAD_ERR_9 "Triem te grut"
#define D_UPLOAD_ERR_10 "Mislukte de RF-chip te begjinnen"
#define D_UPLOAD_ERR_11 "Wiskje RF-chip is mislearre"
#define D_UPLOAD_ERR_12 "Kon net skriuwe nei RF-chip"
#define D_UPLOAD_ERR_13 "RF-firmware koe net dekodearje"
#define D_UPLOAD_ERR_14 "Net kompatibel"
#define D_UPLOAD_ERROR_CODE "Flaterkoade uploade"

#define D_ENTER_COMMAND "Kommando ynfiere"
#define D_ENABLE_WEBLOG_FOR_RESPONSE "Aktivearje weblog 2 as antwurd ferwachte"
#define D_NEED_USER_AND_PASSWORD "Ferplicht user=<username>&password=<password>"

// xdrv_01_mqtt.ino
#define D_FINGERPRINT "TLS-fingerprint kontrolearje ..."
#define D_TLS_CONNECT_FAILED_TO "TLS-ferbining mislearre"
#define D_RETRY_IN "Besykje opnij oer"
#define D_VERIFIED "Kontrolearre mei fingerprint"
#define D_INSECURE "In ûnfeilige ferbining fanwegen ûnjildige fingerprint"
#define D_CONNECT_FAILED_TO "Ferbining mislearre"

// xplg_wemohue.ino
#define D_MULTICAST_DISABLED "Multicast útskeakele"
#define D_MULTICAST_REJOINED "Multicast ferbûn"
#define D_MULTICAST_JOIN_FAILED "Multicastferbining mislearre"
#define D_FAILED_TO_SEND_RESPONSE "Antwurd koe net ferstjoere"

#define D_WEMO "WeMo"
#define D_WEMO_BASIC_EVENT "WeMo basis barren"
#define D_WEMO_EVENT_SERVICE "WeMo barrenservice"
#define D_WEMO_META_SERVICE "WeMo meta tsjinst"
#define D_WEMO_SETUP "WeMo ynstallaasje"
#define D_RESPONSE_SENT "Antwurd stjoerd"

#define D_HUE "Hue"
#define D_HUE_BRIDGE_SETUP "Hue ynstallaasje"
#define D_HUE_API_NOT_IMPLEMENTED "Hue API net beskikber"
#define D_HUE_API "Hue API"
#define D_HUE_POST_ARGS "Hue POST arguminten"
#define D_3_RESPONSE_PACKETS_SENT "3 antwurdpakketten ferstjoerd"

// xdrv_07_domoticz.ino
#define D_DOMOTICZ_PARAMETERS "Domoticz parameters"
#define D_DOMOTICZ_IDX "Idx"
#define D_DOMOTICZ_KEY_IDX "Toets idx"
#define D_DOMOTICZ_SWITCH_IDX "Omskeakelje idx"
#define D_DOMOTICZ_SENSOR_IDX "Sensor idx"
  #define D_DOMOTICZ_TEMP "Temp"
  #define D_DOMOTICZ_TEMP_HUM "Temp,Hum"
  #define D_DOMOTICZ_TEMP_HUM_BARO "Temp,Hum,Baro"
  #define D_DOMOTICZ_POWER_ENERGY "Power,Energy"
  #define D_DOMOTICZ_ILLUMINANCE "Illuminance"
  #define D_DOMOTICZ_COUNT "Count/PM1"
  #define D_DOMOTICZ_VOLTAGE "Foltaazje/PM2,5"
  #define D_DOMOTICZ_CURRENT "Streame/PM10"
  #define D_DOMOTICZ_AIRQUALITY "AirQuality"
  #define D_DOMOTICZ_P1_SMART_METER "P1SmartMeter"
#define D_DOMOTICZ_UPDATE_TIMER "Timer bywurkje"

// xdrv_09_timers.ino
#define D_CONFIGURE_TIMER "Timer ynstelle"
#define D_TIMER_PARAMETERS "Timerskakelaar parameters"
#define D_TIMER_ENABLE "Skeakelje timers yn"
#define D_TIMER_ARM "Aktyf"
#define D_TIMER_TIME "Tiid"
#define D_TIMER_DAYS "Dagen"
#define D_TIMER_REPEAT "Werhelje"
#define D_TIMER_OUTPUT "Útgong"
#define D_TIMER_ACTION "Aksje"

// xdrv_10_knx.ino
#define D_CONFIGURE_KNX "KNX ynstelle"
#define D_KNX_PARAMETERS "KNX Parameters"
#define D_KNX_GENERAL_CONFIG "Algemien"
#define D_KNX_PHYSICAL_ADDRESS "Eigen adres"
#define D_KNX_PHYSICAL_ADDRESS_NOTE "(Moat unyk wêze yn it KNX-netwurk)"
#define D_KNX_ENABLE "KNX ynskeakelje"
#define D_KNX_GROUP_ADDRESS_TO_WRITE "Stjoer gegevens nei groepadressen"
#define D_ADD "Tafoegje"
#define D_DELETE "Wiskje"
#define D_REPLY "Antwurd"
#define D_KNX_GROUP_ADDRESS_TO_READ "Untfang gegevens fan groepadressen"
#define D_RECEIVED_FROM "Krigen fan"
#define D_KNX_COMMAND_WRITE "Skriuwe"
#define D_KNX_COMMAND_READ "Lêze"
#define D_KNX_COMMAND_OTHER "Oaren"
#define D_SENT_TO "stjoer nei"
#define D_KNX_WARNING "Groepadres (0/0/0) is reservearre en moat net brûkt wurde."
#define D_KNX_ENHANCEMENT "Ferbetterje ferbining"
#define D_KNX_TX_SLOT "KNX TX"
#define D_KNX_RX_SLOT "KNX RX"
#define D_KNX_TX_SCENE "KNX SCENE TX"
#define D_KNX_RX_SCENE "KNX SCENE RX"

// xdrv_23_zigbee
#define D_ZIGBEE_PERMITJOIN_ACTIVE "Apparaten meie meidwaan"
#define D_ZIGBEE_MAPPING_TITLE "Tasmota Zigbee Mapping"
#define D_ZIGBEE_NOT_STARTED "Zigbee begon net"
#define D_ZIGBEE_MAPPING_IN_PROGRESS_SEC "Yn kaart bringen (%d s. oerbleaun)"
#define D_ZIGBEE_MAPPING_NOT_PRESENT "Gjin yn kaart bringe"
#define D_ZIGBEE_MAP_REFRESH "Zigbee Map Ferfarskje"
#define D_ZIGBEE_MAP   "Zigbee Map"
#define D_ZIGBEE_PERMITJOIN "Zigbee Fergunning Meidwaan"
#define D_ZIGBEE_GENERATE_KEY "generearjen willekeurige Zigbee netwurksleutel"
#define D_ZIGBEE_UNKNOWN_DEVICE "Unbekend apparaat"
#define D_ZIGBEE_UNKNOWN_ATTRIBUTE "Unbekend attribút"
#define D_ZIGBEE_INVALID_PARAM "Invalid parameter"
#define D_ZIGBEE_MISSING_PARAM "Missing parameters"
#define D_ZIGBEE_UNKNWON_ATTRIBUTE "Unbekende attribútenamme (negeare): %s"
#define D_ZIGBEE_TOO_MANY_CLUSTERS "Net mear dan ien kluster-id per kommando"
#define D_ZIGBEE_WRONG_DELIMITER "Ferkearde skiedingsteken foar lading"
#define D_ZIGBEE_UNRECOGNIZED_COMMAND "Unerkend zigbee kommando: %s"
#define D_ZIGBEE_TOO_MANY_COMMANDS "Allinich 1 kommando tastien (%d)"
#define D_ZIGBEE_NO_ATTRIBUTE "Gjin attribút yn list"
#define D_ZIGBEE_UNSUPPORTED_ATTRIBUTE_TYPE "Net stipe attributtype"
#define D_ZIGBEE_JSON_REQUIRED "Config fereasket JSON-objekten"
#define D_ZIGBEE_RESET_1_OR_2 "1 of 2 om te resetten"
#define D_ZIGBEE_EEPROM_FOUND_AT_ADDRESS "ZBBridge EEPROM fûn op adres"
#define D_ZIGBEE_RANDOMIZING_ZBCONFIG "Randomizing Zigbee parameters, kontrolearje asjebleaft mei 'ZbConfig'"

// xdrv_03_energy.ino
#define D_ENERGY_TODAY "Konsumpsje hjoed"
#define D_ENERGY_YESTERDAY "Konsumpsje juster"
#define D_ENERGY_TOTAL "Konsumpsje totaal"

// xdrv_27_shutter.ino
#define D_OPEN "Iepenje"
#define D_CLOSE "Slute"
#define D_DOMOTICZ_SHUTTER "Rolluik"

// xdrv_28_pcf8574.ino
#define D_CONFIGURE_PCF8574 "Ynstelle PCF8574"
#define D_PCF8574_PARAMETERS "PCF8574 Parameters"
#define D_INVERT_PORTS "Ports omkeare"
#define D_DEVICE "Apparaat"
#define D_DEVICE_INPUT "Yngong"
#define D_DEVICE_OUTPUT "Útgong"

// xsns_05_ds18b20.ino
#define D_SENSOR_BUSY "Sensor drok"
#define D_SENSOR_CRC_ERROR "Sensor CRC flater"
#define D_SENSORS_FOUND "Oantal sensoren"

// xsns_06_dht.ino
#define D_TIMEOUT_WAITING_FOR "Te lang wachtsje op"
#define D_START_SIGNAL_LOW "leech startsein"
#define D_START_SIGNAL_HIGH "heech startsein"
#define D_PULSE "sinjaal"
#define D_CHECKSUM_FAILURE "Ferifikaasje mislearre"

// xsns_07_sht1x.ino
#define D_SENSOR_DID_NOT_ACK_COMMAND "Gjin ACK-kommando fan sensor"
#define D_SHT1X_FOUND "SHT1X fûn"

// xsns_18_pms5003.ino
#define D_STANDARD_CONCENTRATION "CF-1 PM"     // Standard Particle CF-1 Particle Matter
#define D_ENVIRONMENTAL_CONCENTRATION "PM"     // Environmetal Particle Matter
#define D_PARTICALS_BEYOND "Stofdeeltjes"

// xsns_27_apds9960.ino
#define D_GESTURE "Gebeart"
#define D_COLOR_RED "Read"
#define D_COLOR_GREEN "Grien"
#define D_COLOR_BLUE "Blau"
#define D_CCT "CCT"
#define D_PROXIMITY "Tichteby"

// xsns_32_mpu6050.ino
#define D_AX_AXIS "Versn. X-as"
#define D_AY_AXIS "Versn. Y-as"
#define D_AZ_AXIS "Versn. Z-as"
#define D_GX_AXIS "Gyro X-as"
#define D_GY_AXIS "Gyro Y-as"
#define D_GZ_AXIS "Gyro Z-as"

// xsns_34_hx711.ino
#define D_HX_CAL_REMOVE "Gewicht fuortsmite"
#define D_HX_CAL_REFERENCE "Pleats kalibraasje gewicht"
#define D_HX_CAL_DONE "Kalibreare"
#define D_HX_CAL_FAIL "Kalibraasje is mislearre"
#define D_RESET_HX711 "Balâns zeroing"
#define D_CONFIGURE_HX711 "Skaal ynstelle"
#define D_HX711_PARAMETERS "Skaalparameters"
#define D_ITEM_WEIGHT "Gewicht fan diel"
#define D_REFERENCE_WEIGHT "Kalibraasjegewicht"
#define D_CALIBRATE "Kalibrearje"
#define D_CALIBRATION "Kalibrearje"

//xsns_35_tx20.ino
#define D_TX20_WIND_DIRECTION "Wynrjochting"
#define D_TX20_WIND_SPEED "Wynkrêft"
#define D_TX20_WIND_SPEED_MIN "Windsnelheid minimum"
#define D_TX20_WIND_SPEED_MAX "Windsnelhied maximaal"
#define D_TX20_NORTH "N"
#define D_TX20_EAST "E"
#define D_TX20_SOUTH "S"
#define D_TX20_WEST "W"

// xsns_53_sml.ino
#define D_TPWRIN "Totale enerzjy yn"
#define D_TPWRIN0 "Totale enerzjy yn T0"
#define D_TPWRIN1 "Totale enerzjy yn T1"
#define D_TPWROUT "Totale enerzjy út"
#define D_TPWRCURR "Eigentlike krêft In/Out"
#define D_TPWRCURR1 "Eigentlike krêft In p1"
#define D_TPWRCURR2 "Eigentlike krêft In p2"
#define D_TPWRCURR3 "Eigentlike krêft In p3"
#define D_Strom_L1 "Streame L1"
#define D_Strom_L2 "Streame L2"
#define D_Strom_L3 "Streame L3"
#define D_Spannung_L1 "Foltaazje L1"
#define D_Spannung_L2 "Foltaazje L2"
#define D_Spannung_L3 "Foltaazje L3"
#define D_METERNR "Meternûmer"
#define D_METERSID "Service ID"
#define D_GasIN "Teller"
#define D_H2oIN "Teller"
#define D_StL1L2L3 "Streame L1+L2+L3"
#define D_SpL1L2L3 "Foltaazje L1+L2+L3/3"

// xsns_86_tfminiplus.ino
#define D_SIGNALSTRENGTH "Signal Strength"
#define D_CHIPTEMPERATURE "Chip Temperature"

// tasmota_template.h - keep them as short as possible to be able to fit them in GUI drop down box
#define D_SENSOR_NONE          "Gjin"
#define D_SENSOR_USER          "Brûker"
#define D_SENSOR_OPTION        "Opsje"
#define D_SENSOR_DHT11         "DHT11"
#define D_SENSOR_AM2301        "AM2301"
#define D_SENSOR_SI7021        "SI7021"
#define D_SENSOR_DS18X20       "DS18x20"
#define D_SENSOR_I2C_SCL       "I2C SCL"
#define D_SENSOR_I2C_SDA       "I2C SDA"
#define D_SENSOR_I2S_OUT_DATA  "I2S Out Data"
#define D_SENSOR_I2S_OUT_CLK   "I2S Out Clk"
#define D_SENSOR_I2S_OUT_SLCT  "I2S Out Slct"
#define D_SENSOR_I2S_IN_DATA   "I2S In Data"
#define D_SENSOR_I2S_IN_CLK    "I2S In Clk"
#define D_SENSOR_I2S_IN_SLCT   "I2S In Slct"
#define D_SENSOR_WS2812        "WS2812"
#define D_SENSOR_DFR562        "MP3 Speler"
#define D_SENSOR_IRSEND        "IRsend"
#define D_SENSOR_SWITCH        "Switch"     // Suffix "1"
#define D_SENSOR_BUTTON        "Button"     // Suffix "1"
#define D_SENSOR_RELAY         "Relais"     // Suffix "1i"
#define D_SENSOR_LED           "Led"        // Suffix "1i"
#define D_SENSOR_LED_LINK      "LedLink"    // Suffix "i"
#define D_SENSOR_PWM           "PWM"        // Suffix "1"
#define D_SENSOR_COUNTER       "Teller"     // Suffix "1"
#define D_SENSOR_INTERRUPT     "Interrupt"
#define D_SENSOR_INPUT         "Input"
#define D_SENSOR_IRRECV        "IRrecv"
#define D_SENSOR_MHZ_RX        "MHZ Rx"
#define D_SENSOR_MHZ_TX        "MHZ Tx"
#define D_SENSOR_PZEM004_RX    "PZEM004 Rx"
#define D_SENSOR_PZEM016_RX    "PZEM016 Rx"
#define D_SENSOR_PZEM017_RX    "PZEM017 Rx"
#define D_SENSOR_PZEM0XX_TX    "PZEM0XX Tx"
#define D_SENSOR_SAIR_RX       "SAir Rx"
#define D_SENSOR_SAIR_TX       "SAir Tx"
#define D_SENSOR_SPI_CS        "SPI CS"
#define D_SENSOR_SPI_DC        "SPI DC"
#define D_SENSOR_SPI_MISO      "SPI MISO"
#define D_SENSOR_SPI_MOSI      "SPI MOSI"
#define D_SENSOR_SPI_CLK       "SPI CLK"
#define D_SENSOR_BACKLIGHT     "Backlight"
#define D_SENSOR_PMS5003_TX    "PMS5003 Tx"
#define D_SENSOR_PMS5003_RX    "PMS5003 Rx"
#define D_SENSOR_SDS0X1_RX     "SDS0X1 Rx"
#define D_SENSOR_SDS0X1_TX     "SDS0X1 Tx"
#define D_SENSOR_HPMA_RX       "HPMA Rx"
#define D_SENSOR_HPMA_TX       "HPMA Tx"
#define D_SENSOR_SBR_RX        "SerBr Rx"
#define D_SENSOR_SBR_TX        "SerBr Tx"
#define D_SENSOR_SR04_TRIG     "SR04 Tri/TX"
#define D_SENSOR_SR04_ECHO     "SR04 Ech/RX"
#define D_SENSOR_SDM72_TX      "SDM72 Tx"
#define D_SENSOR_SDM72_RX      "SDM72 Rx"
#define D_SENSOR_SDM120_TX     "SDMx20 Tx"
#define D_SENSOR_SDM120_RX     "SDMx20 Rx"
#define D_SENSOR_SDM630_TX     "SDM630 Tx"
#define D_SENSOR_SDM630_RX     "SDM630 Rx"
#define D_SENSOR_WE517_TX      "WE517 Tx"
#define D_SENSOR_WE517_RX      "WE517 Rx"
#define D_SENSOR_TM1637_CLK    "TM1637 CLK"
#define D_SENSOR_TM1637_DIO    "TM1637 DIO"
#define D_SENSOR_TM1638_CLK    "TM1638 CLK"
#define D_SENSOR_TM1638_DIO    "TM1638 DIO"
#define D_SENSOR_TM1638_STB    "TM1638 STB"
#define D_SENSOR_MAX7219_DIN    "MAX7219 DIN"
#define D_SENSOR_MAX7219_CS    "MAX7219 CS"
#define D_SENSOR_MAX7219_CLK    "MAX7219 CLK"
#define D_SENSOR_HX711_SCK     "HX711 SCK"
#define D_SENSOR_HX711_DAT     "HX711 DAT"
#define D_SENSOR_FTC532        "FTC532"
#define D_SENSOR_BS814_CLK     "BS814 CLK"
#define D_SENSOR_BS814_DAT     "BS814 DAT"
#define D_SENSOR_TX2X_TX       "TX2x"
#define D_SENSOR_RFSEND        "RFSend"
#define D_SENSOR_RFRECV        "RFrecv"
#define D_SENSOR_TUYA_TX       "Tuya Tx"
#define D_SENSOR_TUYA_RX       "Tuya Rx"
#define D_SENSOR_MGC3130_XFER  "MGC3130 Xfr"
#define D_SENSOR_MGC3130_RESET "MGC3130 Rst"
#define D_SENSOR_SSPI_MISO     "SSPI MISO"
#define D_SENSOR_SSPI_MOSI     "SSPI MOSI"
#define D_SENSOR_SSPI_SCLK     "SSPI SCLK"
#define D_SENSOR_SSPI_CS       "SSPI CS"
#define D_SENSOR_SSPI_DC       "SSPI DC"
#define D_SENSOR_RF_SENSOR     "RF Sensor"
#define D_SENSOR_AZ_RX         "AZ Rx"
#define D_SENSOR_AZ_TX         "AZ Tx"
#define D_SENSOR_MAX31855_CS   "MX31855 CS"
#define D_SENSOR_MAX31855_CLK  "MX31855 CLK"
#define D_SENSOR_MAX31855_DO   "MX31855 DO"
#define D_SENSOR_MAX31865_CS   "MX31865 CS"
#define D_SENSOR_NRG_SEL       "HLWBL SEL"  // Suffix "i"
#define D_SENSOR_NRG_CF1       "HLWBL CF1"
#define D_SENSOR_HLW_CF        "HLW8012 CF"
#define D_SENSOR_HJL_CF        "BL0937 CF"
#define D_SENSOR_MCP39F5_TX    "MCP39F5 Tx"
#define D_SENSOR_MCP39F5_RX    "MCP39F5 Rx"
#define D_SENSOR_MCP39F5_RST   "MCP39F5 Rst"
#define D_SENSOR_CSE7761_TX    "CSE7761 Tx"
#define D_SENSOR_CSE7761_RX    "CSE7761 Rx"
#define D_SENSOR_CSE7766_TX    "CSE7766 Tx"
#define D_SENSOR_CSE7766_RX    "CSE7766 Rx"
#define D_SENSOR_BL0939_RX     "BL0939 Rx"
#define D_SENSOR_BL0942_RX     "BL0942 Rx"
#define D_SENSOR_HM330X_SET    "HM330X SET"
#define D_SENSOR_PN532_TX      "PN532 Tx"
#define D_SENSOR_PN532_RX      "PN532 Rx"
#define D_SENSOR_SM16716_CLK   "SM16716 CLK"
#define D_SENSOR_SM16716_DAT   "SM16716 DAT"
#define D_SENSOR_SM16716_POWER "SM16716 PWR"
#define D_SENSOR_P9813_CLK     "P9813 Clk"
#define D_SENSOR_P9813_DAT     "P9813 Dat"
#define D_SENSOR_MY92X1_DI     "MY92x1 DI"
#define D_SENSOR_MY92X1_DCKI   "MY92x1 DCKI"
#define D_SENSOR_ARIRFRCV      "ALux IrRcv"
#define D_SENSOR_ARIRFSEL      "ALux IrSel"
#define D_SENSOR_TXD           "Serial Tx"
#define D_SENSOR_RXD           "Serial Rx"
#define D_SENSOR_ROTARY        "Rotary"     // Suffix "1A"
#define D_SENSOR_HRE_CLOCK     "HRE Clock"
#define D_SENSOR_HRE_DATA      "HRE Data"
#define D_SENSOR_ADE7953_IRQ   "ADE7953 IRQ"
#define D_SENSOR_BUZZER        "Zoemer"
#define D_SENSOR_DISP_RESET    "Display Rst"
#define D_SENSOR_ZIGBEE_TXD    "Zigbee Tx"
#define D_SENSOR_ZIGBEE_RXD    "Zigbee Rx"
#define D_SENSOR_ZIGBEE_RST    "Zigbee Rst"
#define D_SENSOR_SOLAXX1_TX    "SolaxX1 Tx"
#define D_SENSOR_SOLAXX1_RX    "SolaxX1 Rx"
#define D_SENSOR_IBEACON_TX    "iBeacon TX"
#define D_SENSOR_IBEACON_RX    "iBeacon RX"
#define D_SENSOR_RDM6300_RX    "RDM6300 RX"
#define D_SENSOR_CC1101_CS     "CC1101 CS"
#define D_SENSOR_A4988_DIR     "A4988 DIR"
#define D_SENSOR_A4988_STP     "A4988 STP"
#define D_SENSOR_A4988_ENA     "A4988 ENA"
#define D_SENSOR_A4988_MS1     "A4988 MS1"
#define D_SENSOR_OUTPUT_HI     "Output Hi"
#define D_SENSOR_OUTPUT_LO     "Output Lo"
#define D_SENSOR_AS608_TX      "AS608 Tx"
#define D_SENSOR_AS608_RX      "AS608 Rx"
#define D_SENSOR_DDS2382_TX    "DDS238-2 Tx"
#define D_SENSOR_DDS2382_RX    "DDS238-2 Rx"
#define D_SENSOR_DDSU666_TX    "DDSU666 Tx"
#define D_SENSOR_DDSU666_RX    "DDSU666 Rx"
#define D_SENSOR_SM2135_CLK    "SM2135 Clk"
#define D_SENSOR_SM2135_DAT    "SM2135 Dat"
#define D_SENSOR_DEEPSLEEP     "DeepSleep"
#define D_SENSOR_EXS_ENABLE    "EXS Enable"
#define D_SENSOR_CLIENT_TX     "Client TX"
#define D_SENSOR_CLIENT_RX     "Client RX"
#define D_SENSOR_CLIENT_RESET  "Client RST"
#define D_SENSOR_GPS_RX        "GPS RX"
#define D_SENSOR_GPS_TX        "GPS TX"
#define D_SENSOR_HM10_RX       "HM10 RX"
#define D_SENSOR_HM10_TX       "HM10 TX"
#define D_SENSOR_LE01MR_RX     "LE-01MR Rx"
#define D_SENSOR_LE01MR_TX     "LE-01MR Tx"
#define D_SENSOR_BL0940_RX     "BL0940 Rx"
#define D_SENSOR_CC1101_GDO0   "CC1101 GDO0"
#define D_SENSOR_CC1101_GDO2   "CC1101 GDO2"
#define D_SENSOR_HRXL_RX       "HRXL Rx"
#define D_SENSOR_DYP_RX        "DYP Rx"
#define D_SENSOR_ELECTRIQ_MOODL "MOODL Tx"
#define D_SENSOR_AS3935        "AS3935"
#define D_SENSOR_WINDMETER_SPEED "WindMeter Spd"
#define D_SENSOR_TELEINFO_RX   "TInfo Rx"
#define D_SENSOR_TELEINFO_ENABLE "TInfo EN"
#define D_SENSOR_LMT01_PULSE   "LMT01 Pulse"
#define D_SENSOR_ADC_INPUT     "ADC Input"
#define D_SENSOR_ADC_TEMP      "ADC Temp"
#define D_SENSOR_ADC_LIGHT     "ADC Light"
#define D_SENSOR_ADC_BUTTON    "ADC Button"
#define D_SENSOR_ADC_RANGE     "ADC Range"
#define D_SENSOR_ADC_CT_POWER  "ADC CT Power"
#define D_SENSOR_ADC_JOYSTICK  "ADC Joystick"
#define D_SENSOR_ADC_PH        "ADC pH"
#define D_GPIO_WEBCAM_PWDN     "CAM_PWDN"
#define D_GPIO_WEBCAM_RESET    "CAM_RESET"
#define D_GPIO_WEBCAM_XCLK     "CAM_XCLK"
#define D_GPIO_WEBCAM_SIOD     "CAM_SIOD"
#define D_GPIO_WEBCAM_SIOC     "CAM_SIOC"
#define D_GPIO_WEBCAM_DATA     "CAM_DATA"
#define D_GPIO_WEBCAM_VSYNC    "CAM_VSYNC"
#define D_GPIO_WEBCAM_HREF     "CAM_HREF"
#define D_GPIO_WEBCAM_PCLK     "CAM_PCLK"
#define D_GPIO_WEBCAM_PSCLK    "CAM_PSCLK"
#define D_GPIO_WEBCAM_HSD      "CAM_HSD"
#define D_GPIO_WEBCAM_PSRCS    "CAM_PSRCS"
#define D_SENSOR_ETH_PHY_POWER "ETH POWER"
#define D_SENSOR_ETH_PHY_MDC   "ETH MDC"
#define D_SENSOR_ETH_PHY_MDIO  "ETH MDIO"
#define D_SENSOR_TCP_TXD       "TCP Tx"
#define D_SENSOR_TCP_RXD       "TCP Rx"
#define D_SENSOR_IEM3000_TX    "iEM3000 TX"
#define D_SENSOR_IEM3000_RX    "iEM3000 RX"
#define D_SENSOR_MIEL_HVAC_TX  "MiEl HVAC Tx"
#define D_SENSOR_MIEL_HVAC_RX  "MiEl HVAC Rx"
#define D_SENSOR_PROJECTOR_CTRL_TX  "DLP Tx"
#define D_SENSOR_PROJECTOR_CTRL_RX  "DLP Rx"
#define D_SENSOR_SHELLY_DIMMER_BOOT0 "SHD Boot 0"
#define D_SENSOR_SHELLY_DIMMER_RST_INV "SHD Reset"
#define D_SENSOR_RC522_RST     "RC522 Rst"
#define D_SENSOR_RC522_CS      "RC522 CS"
#define D_SENSOR_NRF24_CS      "NRF24 CS"
#define D_SENSOR_NRF24_DC      "NRF24 DC"
#define D_SENSOR_XPT2046_CS    "XPT2046 CS"
#define D_SENSOR_ILI9341_CS    "ILI9341 CS"
#define D_SENSOR_ILI9341_DC    "ILI9341 DC"
#define D_SENSOR_ILI9488_CS    "ILI9488 CS"
#define D_SENSOR_EPAPER29_CS   "EPaper29 CS"
#define D_SENSOR_EPAPER42_CS   "EPaper42 CS"
#define D_SENSOR_SSD1351_CS    "SSD1351 CS"
#define D_SENSOR_SSD1351_DC    "SSD1351 DC"
#define D_SENSOR_RA8876_CS     "RA8876 CS"
#define D_SENSOR_ST7789_CS     "ST7789 CS"
#define D_SENSOR_ST7789_DC     "ST7789 DC"
#define D_SENSOR_SSD1331_CS    "SSD1331 CS"
#define D_SENSOR_SSD1331_DC    "SSD1331 DC"
#define D_SENSOR_SDCARD_CS     "SDCard CS"
#define D_SENSOR_WIEGAND_D0    "Wiegand D0"
#define D_SENSOR_WIEGAND_D1    "Wiegand D1"
#define D_SENSOR_NEOPOOL_TX    "NeoPool Tx"
#define D_SENSOR_NEOPOOL_RX    "NeoPool Rx"
#define D_SENSOR_VL53L0X_XSHUT "VL53L0X XSHUT"
#define D_SENSOR_TFMINIPLUS_TX  "TFmini+ TX"
#define D_SENSOR_TFMINIPLUS_RX  "TFmini+ RX"
#define D_SENSOR_ZEROCROSS     "ZC Pulse"
#define D_SENSOR_HALLEFFECT    "HallEffect"
#define D_SENSOR_EPD_DATA      "EPD Data"
#define D_SENSOR_MCP2515_CS    "MCP2515 CS"
#define D_SENSOR_HRG15_RX      "HRG15 Rx"
#define D_SENSOR_HRG15_TX      "HRG15 Tx"
#define D_SENSOR_VINDRIKTNING_RX "VINDRIKTNING"
#define D_SENSOR_HEARTBEAT     "Heartbeat"

// Units
#define D_UNIT_AMPERE "A"
#define D_UNIT_CELSIUS "C"
#define D_UNIT_CENTIMETER "cm"
#define D_UNIT_DEGREE "°"
#define D_UNIT_FAHRENHEIT "F"
#define D_UNIT_HERTZ "Hz"
#define D_UNIT_HOUR "h"
#define D_UNIT_GALLONS "gal"
#define D_UNIT_GALLONS_PER_MIN "g/m"
#define D_UNIT_INCREMENTS "inc"
#define D_UNIT_KELVIN "K"
#define D_UNIT_KILOMETER "km"
#define D_UNIT_KILOGRAM "kg"
#define D_UNIT_KILOMETER_PER_HOUR "km/h"  // or "km/h"
#define D_UNIT_KILOOHM "kΩ"
#define D_UNIT_KILOWATTHOUR "kWh"
#define D_UNIT_LITERS "L"
#define D_UNIT_LITERS_PER_MIN "L/m"
#define D_UNIT_LUX "lx"
#define D_UNIT_MICROGRAM_PER_CUBIC_METER "µg/m³"
#define D_UNIT_MICROMETER "µm"
#define D_UNIT_MICROSECOND "µs"
#define D_UNIT_MICROSIEMENS_PER_CM "µS/cm"
#define D_UNIT_MILLIAMPERE "mA"
#define D_UNIT_MILLILITERS "ml"
#define D_UNIT_MILLIMETER "mm"
#define D_UNIT_MILLIMETER_MERCURY "mmHg"
#define D_UNIT_MILLISECOND "ms"
#define D_UNIT_MILLIVOLT "mV"
#define D_UNIT_MINUTE "Min"
#define D_UNIT_PARTS_PER_BILLION "ppb"
#define D_UNIT_PARTS_PER_DECILITER "ppd"
#define D_UNIT_PARTS_PER_MILLION "ppm"
#define D_UNIT_MILIGRAMS_PER_LITER "mg/L"
#define D_UNIT_PERCENT "%%"
#define D_UNIT_PRESSURE "hPa"
#define D_UNIT_SECOND "sec"
#define D_UNIT_SECTORS "sectoren"
#define D_UNIT_VA "VA"
#define D_UNIT_VAR "VAr"
#define D_UNIT_VOLT "V"
#define D_UNIT_WATT "W"
#define D_UNIT_WATTHOUR "Wh"
#define D_UNIT_WATT_METER_QUADRAT "W/m²"

#define D_NEW_ADDRESS          "Setting address to"
#define D_OUT_OF_RANGE         "Out of Range"
#define D_SENSOR_DETECTED      "detected"

//SDM220, SDM120, SDM72, LE01MR
#define D_EXPORT_POWER    "Eksportearje krêft"
#define D_IMPORT_POWER 	  "Ymportearje krêft"
#define D_PHASE_ANGLE     "Faze hoeke"
#define D_IMPORT_ACTIVE   "Ymportearje echt"
#define D_EXPORT_ACTIVE   "Eksportearje echt"
#define D_IMPORT_REACTIVE "Blind ymportearje"
#define D_EXPORT_REACTIVE "Blind eksportearje"
#define D_TOTAL_REACTIVE  "Hielendal blyn"
#define D_UNIT_KWARH      "kVArh"
#define D_UNIT_ANGLE      "Deg"
#define D_TOTAL_ACTIVE    "Hielendal wier"

//SOLAXX1
#define D_PV1_VOLTAGE     "PV1 foltaazje"
#define D_PV1_CURRENT     "PV1 streame"
#define D_PV1_POWER       "PV1 krêft"
#define D_PV2_VOLTAGE     "PV2 foltaazje"
#define D_PV2_CURRENT     "PV2 streame"
#define D_PV2_POWER       "PV2 krêft"
#define D_SOLAR_POWER     "Zon krêft"
#define D_INVERTER_POWER  "Inverter krêft"
#define D_STATUS          "Status"
#define D_WAITING         "Wachtsje"
#define D_CHECKING        "Kontrôle"
#define D_WORKING         "Aktyf"
#define D_FAILURE         "Ferkeard"
#define D_SOLAX_ERROR_0   "Gjin"
#define D_SOLAX_ERROR_1   "Netferbining"
#define D_SOLAX_ERROR_2   "Netspanning"
#define D_SOLAX_ERROR_3   "Mains frekwinsje"
#define D_SOLAX_ERROR_4   "Pv foltaazje"
#define D_SOLAX_ERROR_5   "Isolaasje"
#define D_SOLAX_ERROR_6   "Overtemperatuer"
#define D_SOLAX_ERROR_7   "Fan"
#define D_SOLAX_ERROR_8   "Oaren"

//xdrv_10_scripter.ino
#define D_CONFIGURE_SCRIPT     "Skript bewurkje"
#define D_SCRIPT               "skript bewurkje"
#define D_SDCARD_UPLOAD        "bestân upload"
#define D_UFSDIR               "ufs map"
#define D_UPL_DONE             "Klear"
#define D_SCRIPT_CHARS_LEFT    "tekens oer"
#define D_SCRIPT_CHARS_NO_MORE "gjin tekens oer"
#define D_SCRIPT_DOWNLOAD      "Download"
#define D_SCRIPT_ENABLE        "skript ynskeakelje"
#define D_SCRIPT_UPLOAD        "Upload"
#define D_SCRIPT_UPLOAD_FILES  "Upload bestân"

//xdrv_50_filesystem.ino
#define D_MANAGE_FILE_SYSTEM   "Bestânbehearder"
#define D_FS_SIZE              "Grutte"
#define D_FS_FREE              "Frij"
#define D_NEW_FILE             "newfile.txt"
#define D_CREATE_NEW_FILE      "Create and edit new file"
#define D_EDIT_FILE            "Edit File"
#define D_CONFIRM_FILE_DEL     "Confirm file deletion"
#define D_SHOW_HIDDEN_FILES    "Show hidden files"

//xsns_67_as3935.ino
#define D_AS3935_GAIN "gain:"
#define D_AS3935_ENERGY "energy:"
#define D_AS3935_DISTANCE "distance:"
#define D_AS3935_DISTURBER "disturber:"
#define D_AS3935_VRMS "µVrms:"
#define D_AS3935_APRX "aprx.:"
#define D_AS3935_AWAY "away"
#define D_AS3935_LIGHT "lightning"
#define D_AS3935_OUT "lightning out of range"
#define D_AS3935_NOT "distance not determined"
#define D_AS3935_ABOVE "lightning overhead"
#define D_AS3935_NOISE "noise detected"
#define D_AS3935_DISTDET "disturber detected"
#define D_AS3935_INTNOEV "Interrupt with no Event!"
#define D_AS3935_FLICKER "IRQ flicker!"
#define D_AS3935_POWEROFF "Power Off"
#define D_AS3935_NOMESS "listening..."
#define D_AS3935_ON "On"
#define D_AS3935_OFF "Off"
#define D_AS3935_INDOORS "Indoors"
#define D_AS3935_OUTDOORS "Outdoors"
#define D_AS3935_CAL_FAIL "calibration failed"
#define D_AS3935_CAL_OK "calibration set to:"

//xsns_68_opentherm.ino
#define D_SENSOR_BOILER_OT_RX   "OpenTherm RX"
#define D_SENSOR_BOILER_OT_TX   "OpenTherm TX"

// xnrg_15_teleinfo Denky (Teleinfo)
#define D_CONTRACT        "Contract"
#define D_POWER_LOAD      "Power load"
#define D_CURRENT_TARIFF  "Current Tariff"
#define D_TARIFF          "Tariff"
#define D_OVERLOAD        "ADPS"
#define D_MAX_POWER       "Max Power"
#define D_MAX_CURRENT     "Max Current"

// xsns_79_as608.ino
#define D_FP_ENROLL_PLACEFINGER "Place finger"
#define D_FP_ENROLL_REMOVEFINGER "Remove finger"
#define D_FP_ENROLL_PLACESAMEFINGER "Place same finger again"
#define D_FP_ENROLL_RETRY "Error so retry"
#define D_FP_ENROLL_RESTART "Restart"
#define D_FP_ENROLL_ERROR "Error"
#define D_FP_ENROLL_RESET "Reset"
#define D_FP_ENROLL_ACTIVE "Active"
#define D_FP_ENROLL_INACTIVE "Inactive"
// Indexed by Adafruit_Fingerprint.h defines
#define D_FP_PACKETRECIEVEERR "Comms error"    // 0x01 Error when receiving data package
#define D_FP_NOFINGER ""                       // 0x02 No finger on the sensor
#define D_FP_IMAGEFAIL "Imaging error"         // 0x03 Failed to enroll the finger
#define D_FP_IMAGEMESS "Image too messy"       // 0x06 Failed to generate character file due to overly disorderly fingerprint image
#define D_FP_FEATUREFAIL "Fingerprint too small" // 0x07 Failed to generate character file due to the lack of character point or small fingerprint image
#define D_FP_NOMATCH "No match"                // 0x08 Finger doesn't match
#define D_FP_NOTFOUND "Did not find a match"   // 0x09 Failed to find matching finger
#define D_FP_ENROLLMISMATCH "Fingerprint did not match" // 0x0A Failed to combine the character files
#define D_FP_BADLOCATION "Bad location"        // 0x0B Addressed PageID is beyond the finger library
#define D_FP_DBRANGEFAIL "DB range error"      // 0x0C Error when reading template from library or invalid template
#define D_FP_UPLOADFEATUREFAIL "Upload feature error" // 0x0D Error when uploading template
#define D_FP_PACKETRESPONSEFAIL "Packet response error" // 0x0E Module failed to receive the following data packages
#define D_FP_UPLOADFAIL "Upload error"         // 0x0F Error when uploading image
#define D_FP_DELETEFAIL "Delete error"         // 0x10 Failed to delete the template
#define D_FP_DBCLEARFAIL "DB Clear error"      // 0x11 Failed to clear finger library
#define D_FP_PASSFAIL "Password error"         // 0x13 Find whether the fingerprint passed or failed
#define D_FP_INVALIDIMAGE "Image invalid"      // 0x15 Failed to generate image because of lac of valid primary image
#define D_FP_FLASHERR "Flash write error"      // 0x18 Error when writing flash
#define D_FP_INVALIDREG "Invalid number"       // 0x1A Invalid register number
#define D_FP_ADDRCODE "Address code"           // 0x20 Address code
#define D_FP_PASSVERIFY "Password verified"    // 0x21 Verify the fingerprint passed
#define D_FP_UNKNOWNERROR "Error"              // Any other error

// xsns_83_neopool.ino
#define D_NEOPOOL_MACH_NONE               "NeoPool"           // Machine names
#define D_NEOPOOL_MACH_HIDROLIFE          "Hidrolife (yellow)"
#define D_NEOPOOL_MACH_AQUASCENIC         "Aquascenic (blue)"
#define D_NEOPOOL_MACH_OXILIFE            "Oxilife (green)"
#define D_NEOPOOL_MACH_BIONET             "Bionet (light blue)"
#define D_NEOPOOL_MACH_HIDRONISER         "Hidroniser (red)"
#define D_NEOPOOL_MACH_UVSCENIC           "UVScenic (lilac)"
#define D_NEOPOOL_MACH_STATION            "Station (orange)"
#define D_NEOPOOL_MACH_BRILIX             "Brilix"
#define D_NEOPOOL_MACH_GENERIC            "Generic"
#define D_NEOPOOL_MACH_BAYROL             "Bayrol"
#define D_NEOPOOL_MACH_HAY                "Hay"
#define D_NEOPOOL_FILTRATION_MANUAL       "Manual"            // Filtration modes
#define D_NEOPOOL_FILTRATION_AUTO         "Auto"
#define D_NEOPOOL_FILTRATION_HEATING      "Heating"
#define D_NEOPOOL_FILTRATION_SMART        "Smart"
#define D_NEOPOOL_FILTRATION_INTELLIGENT  "Intelligent"
#define D_NEOPOOL_FILTRATION_BACKWASH     "Backwash"
#define D_NEOPOOL_FILTRATION_NONE         ""                  // Filtration speed level
#define D_NEOPOOL_FILTRATION_SLOW         "slow"
#define D_NEOPOOL_FILTRATION_MEDIUM       "medium"
#define D_NEOPOOL_FILTRATION_FAST         "fast"
#define D_NEOPOOL_TYPE                    "Type"              // Sensor & relais names
#define D_NEOPOOL_REDOX                   "Redox"
#define D_NEOPOOL_CHLORINE                "Chlorine"
#define D_NEOPOOL_CONDUCTIVITY            "Conductivity"
#define D_NEOPOOL_IONIZATION              "Ionization"
#define D_NEOPOOL_HYDROLYSIS              "Hydrolysis"
#define D_NEOPOOL_RELAY                   "Relay"
#define D_NEOPOOL_RELAY_FILTRATION        "Filtration"
#define D_NEOPOOL_RELAY_LIGHT             "Light"
#define D_NEOPOOL_RELAY_PH_ACID           "Acid pump"
#define D_NEOPOOL_RELAY_PH_BASE           "Base pump"
#define D_NEOPOOL_RELAY_RX                "Redox level"
#define D_NEOPOOL_RELAY_CL                "Chlorine pump"
#define D_NEOPOOL_RELAY_CD                "Brine pump"
#define D_NEOPOOL_TIME                    "Time"
#define D_NEOPOOL_FILT_MODE               "Filtration"
#define D_NEOPOOL_CELL_RUNTIME            "Cell runtime"
#define D_NEOPOOL_POLARIZATION            "Pol"               // Sensor status
#define D_NEOPOOL_PR_OFF                  "PrOff"
#define D_NEOPOOL_SETPOINT_OK             "Ok"
#define D_NEOPOOL_COVER                   "Cover"
#define D_NEOPOOL_SHOCK                   "Boost"
#define D_NEOPOOL_STATUS_ON               "ON"
#define D_NEOPOOL_STATUS_OFF              "OFF"
#define D_NEOPOOL_STATUS_WAIT             "WAIT"
#define D_NEOPOOL_STATUS_TANK             "TANK"
#define D_NEOPOOL_STATUS_FLOW             "Flow"
#define D_NEOPOOL_LOW                     "Low"
#define D_NEOPOOL_FLOW1                   "FL1"
#define D_NEOPOOL_FLOW2                   "FL2"
#define D_NEOPOOL_PH_HIGH                 "too high"          // ph Alarms
#define D_NEOPOOL_PH_LOW                  "too low"
#define D_NEOPOOL_PUMP_TIME_EXCEEDED      "pump time exceeded"

#endif  // _LANGUAGE_FY_NL_H_
